## com.baidubce.internal
Class RestartableNonResettableInputStream

    java.lang.Object
      java.io.InputStream
          com.baidubce.internal.RestartableInputStream
              com.baidubce.internal.RestartableNonResettableInputStream

All Implemented Interfaces:
  Closeable

    public class RestartableNonResettableInputStream

extends RestartableInputStream

The Restartable InputStream can not reset.

Constructor Summary
`RestartableNonResettableInputStream(InputStream input, int bufferSize)`

Method Summary
`void` `close()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`
`void` `restart()`

Methods inherited from class com.baidubce.internal.RestartableInputStream
`wrap`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RestartableNonResettableInputStream

    public RestartableNonResettableInputStream(InputStream input,
                                               int bufferSize)

Method Detail

### restart

    public void restart()

  Specified by:
    `restart` in class `RestartableInputStream`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read()
             throws IOException

  Specified by:
    `read` in class `InputStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `InputStream`
  Throws:
    `IOException`

Copyright © 2016. All rights reserved.